Search Google Appliance

« Back to Software Grid
About this Version 

CertAid for Windows manages the entire certificate setup procedure for Internet Explorer on Windows 7 and 8, giving users a more reliable installation experience.

The setup procedure includes installing the MIT CA as well as your personal certificate, optionally deleting old certificates, and setting the correct security settings via a single, graphical application. If you need to retain access to old user certificates, choose "No" when asked to delete them.

System requirements

  • Operating system: Windows 7/8/8.1
  • Additional requirements:
    • Internet Explorer 9 or higher
    • .NET Framework 4.0 or higher
      Note: The installer does not automatically install  .NET 4.0. You need to run Windows Update to update your system to the latest Microsoft security patch / update prior to installing Certaid.

Installing

Download and double-click the installer, then follow the on-screen instructions to install CertAid for Internet Explorer onto your computer. For more information on installing CertAid for Internet Explorer, see:

Windows 7 users: CertAid for Internet Explorer requires that .NET 4.0 or higher be installed on your machine. You need to update your system to the latest Microsoft security patch/update prior to installing CertAid.

Using

Using CertAid for Internet Explorer to Install Certificates on Windows 7 and 8

win.mit.edu users: The MIT Certificate Tool for Internet Explorer is not needed for win.mit.edu domain users.